<template>
  <div>
    <v-card
      :loading="isLoadingCalificacionFinalYDistribucionCalificaciones"
      tile
      raised
      elevation="3"
    >
      <IdGrafico id="001, 002, 003" />
      <div class="title-card-component">
        Calificación final y distribución de calificaciones a nivel
        <span
          v-if="
            globalFilters && globalFilters.filters.nivel_geografico.descripcion
          "
          class="bold keep-spaces"
          >{{ " " + globalFilters.filters.nivel_geografico.descripcion }}</span
        >
      </div>
      <v-row>
        <v-col :cols="12" :xl="column">
          <CalificacionTotalDisciplina
            :is-loading="isLoading"
            :global-filters-parent="globalFilters"
            :methods-semaforo-parent="methodsSemaforo"
          />
        </v-col>
        <v-col :cols="12" :xl="6">
          <HistogramaPorNivel
            :is-loading="isLoading"
            :global-filters-parent="globalFilters"
            :methods-semaforo-parent="methodsSemaforo"
          />
        </v-col>
      </v-row>
    </v-card>
  </div>
</template>
<style scoped>
.keep-spaces {
  white-space: pre-wrap;
}
.title-card-component {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #1e2945;
  color: white;
  padding: 5px 0px;
}
</style>
<script>
import axios from "axios";
import IdGrafico from "@/views/secure/sistema-informacion/dashboards/commons/IdGraficoLabel.vue";
import CalificacionTotalDisciplina from "@/views/secure/sistema-informacion/dashboards/commons/graficos/CalificacionTotalDisciplina001.vue";
import HistogramaPorNivel from "@/views/secure/sistema-informacion/dashboards/commons/graficos/HistogramaPorNivel004.vue";
export default {
  name: "Component-CalificacionFinalYDistribucionCalificaciones",
  components: {
    IdGrafico,
    CalificacionTotalDisciplina,
    HistogramaPorNivel
  },
  props: {
    globalFiltersParent: Object,
    methodsSemaforoParent: Object
  },
  data() {
    return {
      isVisible: true,
      isLoadingCalificacionFinalYDistribucionCalificaciones: true,
      globalFilters: null,
      methodsSemaforo: null,
      isVisibleHistograma: true
    };
  },
  computed: {
    column() {
      if (
        this.globalFilters &&
        this.globalFilters.final_filters.nivel_geografico == 0
      ) {
        return 12;
      }
      return 6;
    }
  },
  methods: {
    listenSearchConsulta(globalFilters) {
      if (
        this.globalFilters &&
        this.globalFilters.final_filters.nivel_geografico == 0
      ) {
        this.isVisibleHistograma = false;
      } else {
        this.isVisibleHistograma = true;
      }
      this.globalFilters = globalFilters;
    },
    isLoading(value) {
      this.isLoadingCalificacionFinalYDistribucionCalificaciones = value;
    }
  },
  mounted() {
    this.$root.$on("searchconsulta", this.listenSearchConsulta);
  },
  created() {
    this.methodsSemaforo = this.methodsSemaforoParent;
    this.globalFilters = this.globalFiltersParent;
  }
};
</script>
